import { StiValueElement } from "../../../system/interfaces";
import StiJson from "../../../system/StiJson";
import { StiComboBoxCellItem } from "../cells/StiComboBoxCellItem";
import { StiColumnItem } from "../StiColumnItem";
export declare class StiComboBoxColumnItem extends StiColumnItem implements StiValueElement {
    type: string;
    cells: StiComboBoxCellItem[];
    comboBoxOptions: string[];
    get value(): Object;
    setDefaultValues(): void;
    createCell(): any;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
